Bug 1191092 (CVE-2014-9669)

Summary: CVE-2014-9669 freetype: multiple integer overflows leading to buffer over-reads in cmap handling
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: behdad, fonts-bugs, kevin, mkasik
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20141124,reported=20150210,source=cve,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,cwe=CWE-190->CWE-125,rhel-4/freetype=wontfix,rhel-5/freetype=wontfix,rhel-6/freetype=affected,rhel-7/freetype=affected,rhev-m-3/mingw-virt-viewer=affected,fedora-all/freetype=affected,fedora-all/mingw-freetype=affected,epel-7/mingw-freetype=affected
Fixed In Version: freetype 2.5.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-03-18 07:40:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1191099, 1197737, 1197738, 1197739, 1197740    
Bug Blocks: 1191102    

Description Vasyl Kaigorodov 2015-02-10 12:52:15 UTC
Common Vulnerabilities and Exposures assigned CVE-2014-9669 to the following issue:

Multiple integer overflows in sfnt/ttcmap.c in FreeType before 2.5.4 allow
remote attackers to cause a denial of service (out-of-bounds read or memory
corruption) or possibly have unspecified other impact via a crafted cmap SFNT
table.

http://code.google.com/p/google-security-research/issues/detail?id=163
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=602040b1112c9f94d68e200be59ea7ac3d104565

Comment 1 Vasyl Kaigorodov 2015-02-10 12:57:42 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1191099]

Comment 2 Fedora Update System 2015-02-19 18:00:59 UTC
freetype-2.5.3-15.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-02-20 08:31:00 UTC
freetype-2.5.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Tomas Hoger 2015-02-23 12:28:15 UTC
Upstream bug is:
https://savannah.nongnu.org/bugs/?43588

Issue was fixed upstream in 2.5.4.

This CVE covers multiple integer overflow flaws in checks protecting against out-of-bounds reads, making it possible to bypass those check.  Crashing freetype using a specially-crafted font file may be possible because of this.

Comment 7 errata-xmlrpc 2015-03-17 17:59:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:0696 https://rhn.redhat.com/errata/RHSA-2015-0696.html